Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors.copying
Class InstantiationCopyPolicy

`java.lang.Object
oracle.toplink.descriptors.copying.AbstractCopyPolicy
oracle.toplink.descriptors.copying.InstantiationCopyPolicy`

All Implemented Interfaces:
  java.lang.Cloneable, CopyPolicy, java.io.Serializable

public class InstantiationCopyPolicy
extends AbstractCopyPolicy

Purpose: Creates a copy through creating a new instance.

See Also:
  Serialized Form

Constructor Summary
`InstantiationCopyPolicy()`

Method Summary
`java.lang.Object` | `buildClone(java.lang.Object domainObject, Session session)` Return a shallow clone of the object for usage with object copying, or unit of work backup cloning.
`boolean` | `buildsNewInstance()` Return if a new instance is created or a clone.
`java.lang.String` | `toString()`

Methods inherited from class oracle.toplink.descriptors.copying.AbstractCopyPolicy
`buildWorkingCopyClone, buildWorkingCopyCloneFromRow, initialize, setDescriptor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstantiationCopyPolicy

    public InstantiationCopyPolicy()

Method Detail

### buildClone

    public java.lang.Object buildClone(java.lang.Object domainObject,
                                       Session session)
                                throws DescriptorException

  Description copied from interface: `CopyPolicy`
  Return a shallow clone of the object for usage with object copying, or unit of work backup cloning.
  Specified by:
    `buildClone` in interface `CopyPolicy`
  Specified by:
    `buildClone` in class `AbstractCopyPolicy`
  Throws:
    `DescriptorException`

### buildsNewInstance

    public boolean buildsNewInstance()

  Description copied from class: `AbstractCopyPolicy`
  Return if a new instance is created or a clone.
  Specified by:
    `buildsNewInstance` in interface `CopyPolicy`
  Specified by:
    `buildsNewInstance` in class `AbstractCopyPolicy`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD